<!doctype html>
<html>
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width,initial-scale=1">
  <title>StimulusJS Miniatures</title>
  <link rel="stylesheet" href="main.css">
  <script src="bundle.js" async></script>

  <!-- Bootstrap CSS CDN -->
  <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
    integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">

  <!-- Font Awesome CDN -->
  <link rel="stylesheet" href="https://pro.fontawesome.com/releases/v5.10.0/css/all.css"
    integrity="sha384-AYmEC3Yw5cVb3ZcuHtOA93w35dYTsvhLPVnYs9eStHfGJvOvKxVfELGroGkvsg+p" crossorigin="anonymous" />
  <!-- Bootstrap JS CDNs -->
  <script defer src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.5.1/jquery.min.js"
    integrity="sha512-bLT0Qm9VnAYZDflyKcBaQ2gg0hSYNQrJ8RilYldYQ1FxQYoCLtUjuuRuZo+fjqhx/qtq/1itJ0C2ejDxltZVFg=="
    crossorigin="anonymous"></script>
  <script defer src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"
    integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
  <script defer src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"
    integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
  <!-- Animate CSS -->
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/animate.css/4.1.1/animate.min.css" />

</head>
<body>

  <div class="container">
    <div class="float-right">
      <a href="https://gitlab.com/devrod061/javascript/stimulusjs-fundamentals" target="_blank" class="h1"><i class="fab fa-brands fa-gitlab"></i></a>
    </div>
    <h1>StimulusJS Miniatures</h1>
    <h4 class="my-4 text-center text-success">Section 1</h4>
      <div class="border p-3">
        <h3>Feature 1 - Copy to Clipboard</h3>
        <div data-controller="clipboard">
          <input data-clipboard-target="toCopy" type="text">
          <button
            data-action="click->clipboard#copy"
            class="btn btn-success tooltip-item cursor-pointer">
            <i class="far fa-clipboard" aria-hidden="true"></i>
            <span data-clipboard-target="tooltip" class="tooltip-text small">Copy to clipboard</span>
          </button>
        </div>
      </div>
      <div class="border p-3">
        <h3>Feature 2 - Accordian</h3>
        <div data-controller="accordian" data-accordian-rotate-class="rotate-180">
          <button data-action="accordian#toggle" class="btn btn-primary">
            Show
            <span>
              <i data-accordian-target="icon" class="fas fa-chevron-down "></i>
            </span>
          </button>
          <div data-accordian-target="details" class="details my-2">
            Lorem ipsum dolor sit, amet consectetur adipisicing elit. Molestias error quidem a, cumque voluptates dolorem
            nesciunt. Culpa earum esse impedit quas? Eum perspiciatis asperiores laudantium nostrum magni officiis ipsum ipsa!
            Lorem ipsum dolor sit, amet consectetur adipisicing elit. Molestias error quidem a, cumque voluptates dolorem
            nesciunt. Culpa earum esse impedit quas? Eum perspiciatis asperiores laudantium nostrum magni officiis ipsum ipsa!
            Lorem ipsum dolor sit, amet consectetur adipisicing elit. Molestias error quidem a, cumque voluptates dolorem
            nesciunt. Culpa earum esse impedit quas? Eum perspiciatis asperiores laudantium nostrum magni officiis ipsum ipsa!
          </div>
        </div>
        <div data-controller="accordian" data-accordian-rotate-class="rotate--180">
          <button data-action="accordian#toggle" class="btn btn-primary">
            Show
            <span>
              <i data-accordian-target="icon" class="fas fa-chevron-down "></i>
            </span>
          </button>
          <div data-accordian-target="details" class="details my-2">
            Lorem ipsum dolor sit, amet consectetur adipisicing elit. Molestias error quidem a, cumque voluptates dolorem
            nesciunt. Culpa earum esse impedit quas? Eum perspiciatis asperiores laudantium nostrum magni officiis ipsum ipsa!
            Lorem ipsum dolor sit, amet consectetur adipisicing elit. Molestias error quidem a, cumque voluptates dolorem
            nesciunt. Culpa earum esse impedit quas? Eum perspiciatis asperiores laudantium nostrum magni officiis ipsum ipsa!
            Lorem ipsum dolor sit, amet consectetur adipisicing elit. Molestias error quidem a, cumque voluptates dolorem
            nesciunt. Culpa earum esse impedit quas? Eum perspiciatis asperiores laudantium nostrum magni officiis ipsum ipsa!
          </div>
        </div>
        <div data-controller="accordian" data-accordian-rotate-class="rotate--90">
          <button data-action="accordian#toggle" class="btn btn-primary">
            Show
            <span>
              <i data-accordian-target="icon" class="fas fa-chevron-down "></i>
            </span>
          </button>
          <div data-accordian-target="details" class="details my-2">
            Lorem ipsum dolor sit, amet consectetur adipisicing elit. Molestias error quidem a, cumque voluptates dolorem
            nesciunt. Culpa earum esse impedit quas? Eum perspiciatis asperiores laudantium nostrum magni officiis ipsum ipsa!
            Lorem ipsum dolor sit, amet consectetur adipisicing elit. Molestias error quidem a, cumque voluptates dolorem
            nesciunt. Culpa earum esse impedit quas? Eum perspiciatis asperiores laudantium nostrum magni officiis ipsum ipsa!
            Lorem ipsum dolor sit, amet consectetur adipisicing elit. Molestias error quidem a, cumque voluptates dolorem
            nesciunt. Culpa earum esse impedit quas? Eum perspiciatis asperiores laudantium nostrum magni officiis ipsum ipsa!
          </div>
        </div>
      </div>
      <div class="counters-container border p-3">
        <h3>Feature 3 - Counter</h3>
        <div class="d-flex">
          <div data-controller="counter" data-counter-score-value="-5" class="">
            Red Team
            <h2 data-counter-target="display"></h2>
            <button data-action="counter#decrement" class="btn btn-danger">-</button>
            <button data-action="counter#increment" class="btn btn-success">+</button>
          </div>
          <div data-controller="counter" data-counter-score-value="3" class="ml-2">
            Blue Team
            <h2 data-counter-target="display"></h2>
            <button data-action="counter#decrement" class="btn btn-danger">-</button>
            <button data-action="counter#increment" class="btn btn-success">+</button>
          </div>
          <div data-controller="counter" data-counter-score-value="5" class="ml-2">
            Green Team
            <h2 data-counter-target="display"></h2>
            <button data-action="counter#decrement" class="btn btn-danger">-</button>
            <button data-action="counter#increment" class="btn btn-success">+</button>
          </div>
        </div>
      </div>
      <div class="border p-3">
        <h3>Feature 4 - Dark Light mode</h3>
        <div data-controller="dark-light" data-dark-light-mode-value="light" class="theme p-3">
          <button
            data-action="dark-light#toggleMode"
          >
            <i data-dark-light-target="icon" class="fas fa-sun"></i>
          </button>
          <h5>Some text over here...</h5>
        </div>
      </div>
      <div data-controller="slider" class="border p-3">
        <h3>Feature 5 - Price Slider</h3>
        <div>
          <input data-action="slider#setInput" type="range" min="1" max="100" value="50">
          <h6>Price: <span data-slider-target="display"></span></h6>
        </div>
      </div>
      <div class="border p-3">
        <h3>Feature 6 - Select / De-select All</h3>
        <div data-controller="checkbox">
          <button data-action="checkbox#selectAll" class="btn btn-primary">Select All</button>
          <button data-action="checkbox#deselectAll" class="btn btn-secondary">De-select All</button><br>
          <div data-checkbox-target="container">
            <input type="checkbox" class="mr-3" id="blueberry"><label for="blueberry">Blueberry</label><br>
            <input type="checkbox" class="mr-3" id="avocado"><label for="avocado">Avocado</label><br>
            <input type="checkbox" class="mr-3" id="carrot"><label for="carrot">Carrot</label><br>
            <input type="checkbox" class="mr-3" id="apple"><label for="apple">Apple</label>
          </div>
        </div>
        <div data-controller="checkbox">
          <button data-action="checkbox#selectAll" class="btn btn-primary">Select All</button>
          <button data-action="checkbox#deselectAll" class="btn btn-secondary">De-select All</button><br>
          <div data-checkbox-target="container">
            <input type="checkbox" class="mr-3" id="blueberry2"><label for="blueberry">Blueberry</label><br>
            <input type="checkbox" class="mr-3" id="avocado2"><label for="avocado">Avocado</label><br>
          </div>
        </div>
      </div>
      <div class="border p-3">
        <h3>Feature 7 - Progress Bar</h3>
        <div data-controller="progress-bar" data-porgress-bar-progress-value="1">
          <div class="outer-bar">
            <div data-progress-bar-target="innerBar" class="inner-bar bg-success"></div>
          </div>
          <p data-progress-bar-target="display" class="float-right text-success"></p>
          <button data-action="progress-bar#start" class="btn btn-success my-2">Start</button>
          <button data-action="progress-bar#reset" class="btn btn-danger my-2">Reset</button>
        </div>
      </div>
      <div class="border p-3">
        <h3>Feature 8 - Countdown Timer</h3>
        <div data-controller="timer">
          <input data-timer-target="dateTimeInput" type="datetime-local" min="" class="form-control w-50">
          <button data-action="timer#start" class="btn btn-primary mt-3">Start Count Down</button>
          <button data-action="timer#stop" class="btn btn-secondary mt-3">Stop</button>
          <h4 data-timer-target="display" class="text-center text-primary"></h4>
        </div>
      </div>
      <div class="border p-3">
        <h3>Feature 9 - Snackbar</h3>
        <div class="d-flex">
          <div data-controller="snackbar">
            <button data-action="snackbar#show" class="btn btn-primary">Show snackbar 1</button>
            <div data-snackbar-target="snackbar" class="snackbar">Here is some message of Snackbar 1...
            </div>
          </div>
        </div>
      </div>

    <h4 class="my-3 text-center text-danger">Section 2</h4>
    <div class="border p-3">
      <h3>Feature 10 - Todo List</h3>
      <div data-controller="todo">
        <form data-action="todo#add" class="row pl-3 my-3">
          <input data-todo-target="input" type="text" class="form-control col-4 mr-2"><button
            class="btn btn-primary col-2">Add Todo</button>
        </form>
        <ul data-todo-target="container" class="closeable-lists">
          <li data-action="click->todo#done">Do the laundry <span data-action="click->todo#remove" class="close">&times;</span></li>
          <li data-action="click->todo#done">Meditate 10 minutes <span data-action="click->todo#remove" class="close">&times;</span></li>
          <li data-action="click->todo#done">Code 1 hour <span data-action="click->todo#remove" class="close">&times;</span>
          </li>
        </ul>
      </div>
    </div>
    <div class="border p-3">
      <h3>Feature 11 - TypeWriter Effect</h3>
      <div data-controller="typewriter" data-typewriter-contents-value='["a modest Javascript Framework", "created by basecamp in Feb 2018", "updated version 2.0.0 in Dec 2020", "a component hotwired"]'>
        <h6 class="text-success">Stimulus JS is <span data-typewriter-target="display"></span> </h6>
      </div>
    </div>
    <div class="border p-3">
      <h3>Feature 12 - Modal</h3>
      <div data-controller="modal" data-action="click@window->modal#close">
        <button data-action="modal#open" class="btn btn-primary">Open Modal</button>
        <div data-modal-target="container" class="modal-container">
          <!-- Modal box -->
          <div class="modal-box">
            <span data-modal-target="closeBtn" class="float-right h3 px-2 btn btn-outline-dark cursor-pointer"
              >&times;</span>
            <h4>First Modal Title</h4>
            <hr>
            <p>Lorem ipsum, dolor sit amet consectetur adipisicing elit. Hic tempore labore omnis vero consectetur quo fugit
              nobis facere et illo ipsam velit sed culpa tempora officia ex, at non minima?</p>
          </div>
        </div>
      </div>
    </div>
    <div class="border p-3">
      <h3>Feature 13 - Pomodoro App</h3>
      <div data-controller="slider timer" data-slider-input-value="60">
        <label for="duration">Duration: </label>
        <input data-action="slider#setInput" data-timer-target="rangeInput" type="range" id="duration" min="1" max="120" value="60">
        <small>
          <span data-slider-target="display" ></span> minutes
        </small><br />
        <button data-action="timer#start" class="btn btn-primary mt-3">Start</button>
        <button data-action="timer#stop" class="btn btn-secondary mt-3">Stop</button>
        <h4 data-timer-target="display" class="text-center text-primary"></h4>
      </div>
    </div>

    <div class="border p-3">
      <h3>Feature 14 - Scroll Indicator</h3>
      <div class="row">
        <div data-controller="scroll" class="col-6">
          <div class="progress-container">
            <div data-scroll-target="progressBar" class="progress-bar"></div>
          </div>
          <div data-action="scroll->scroll#showProgress" class="mx-auto scroll-content">
            Lorem ipsum, dolor sit amet consectetur adipisicing elit. Impedit quas in aliquid quibusdam nesciunt fuga cumque
            ad ipsam eligendi dolorem, quos totam qui! Voluptate facilis mollitia iste, illum fugit quod. Lorem ipsum dolor
            sit amet consectetur adipisicing elit. Enim hic itaque excepturi quas adipisci velit voluptatum, blanditiis
            neque perspiciatis suscipit porro cupiditate, eaque cum sequi distinctio, at culpa vitae aperiam?Lorem ipsum,
            dolor sit amet consectetur adipisicing elit. Error nobis, ut suscipit fugit voluptate aspernatur laborum cumque
            expedita aliquid veritatis sunt voluptates ducimus repudiandae omnis rem? Nam sequi excepturi exercitationem!
            Lorem ipsum dolor sit amet consectetur adipisicing elit. Modi, ad repellat ipsam perspiciatis odio, quia itaque
            minima numquam, fugiat rem molestiae. Fugit nam maxime, ea eos soluta corporis molestias voluptates? Lorem ipsum
            dolor sit amet consectetur adipisicing elit. Facilis voluptatum reiciendis accusantium quas ea nostrum atque a
            repellat similique ducimus architecto, beatae at dolorem. Consequuntur optio cupiditate recusandae maiores
            atque. Lorem ipsum dolor sit, amet consectetur adipisicing elit. Assumenda corporis accusantium dolorum sed
            iusto voluptatibus obcaecati, laudantium soluta est eum velit architecto quos optio? Repellat mollitia
            laudantium atque non delectus! Lorem, ipsum dolor sit amet consectetur adipisicing elit. Officia eum nobis sit
            autem, labore aperiam amet dolorem voluptas, maxime sed dolor molestiae. Repellat ipsum a rerum maiores
            repudiandae facere! Officia. Lorem ipsum dolor sit amet, consectetur adipisicing elit. Exercitationem, ab animi
            quo eveniet, dolorum fugiat, minus voluptatibus magni commodi officia vel numquam suscipit perferendis
            explicabo? Mollitia eveniet maxime corrupti dolor? Lorem ipsum dolor sit amet consectetur adipisicing elit. Esse
            deserunt totam debitis rerum, libero excepturi accusantium repudiandae consequuntur temporibus quam, voluptas
            nam aperiam ex reprehenderit nulla nostrum doloribus eius ad. Lorem ipsum dolor sit amet, consectetur
            adipisicing elit. Fugiat provident laboriosam itaque veritatis magnam voluptatem vitae. Ullam error laudantium,
            a sunt ducimus quisquam optio aperiam, tempore neque animi aliquam expedita! Lorem ipsum dolor sit, amet
            consectetur adipisicing elit. Ratione eius, iusto impedit eum necessitatibus molestias nisi aut ullam, quis odio
            blanditiis fugiat non recusandae atque deleniti laudantium deserunt quos ducimus! Lorem ipsum dolor sit amet
            consectetur adipisicing elit. Assumenda labore nihil, nobis officiis ullam, incidunt sed repellendus voluptates
            quidem porro deserunt enim eveniet. Ullam possimus labore unde quod repudiandae assumenda. Lorem ipsum dolor sit
            amet, consectetur adipisicing elit. Excepturi ullam totam omnis doloremque facilis, doloribus quaerat! Earum
            distinctio, dolore nesciunt aperiam quo soluta placeat maxime cumque modi, iste beatae omnis! Lorem ipsum dolor
            sit amet consectetur adipisicing elit. Officia, temporibus. Voluptatum natus quam consequuntur provident quae
            soluta minus rerum beatae enim quis non, accusamus unde, magnam harum praesentium facilis omnis? Lorem ipsum
            dolor sit amet consectetur adipisicing elit. Magni natus ipsa aperiam tempora, facilis exercitationem deleniti
            suscipit optio molestias rerum necessitatibus unde impedit blanditiis, libero ipsam accusantium sed voluptate
            ea! Lorem ipsum dolor sit amet consectetur, adipisicing elit. Quasi tempore nihil ea consequatur repudiandae non
            corrupti eaque sint, dolore quisquam inventore quod dolores distinctio perferendis quia sapiente architecto
            sequi ad? Lorem ipsum dolor sit amet consectetur adipisicing elit. Molestias, pariatur repellat ut asperiores
            vitae sint aspernatur fugit odit quis nostrum. Quam eligendi ea officiis, deleniti veniam aspernatur. Facilis,
            obcaecati vitae!
          </div>
        </div>
        <div data-controller="scroll" class="col-6">
          <div class="progress-container">
            <div data-scroll-target="progressBar" class="progress-bar"></div>
          </div>
          <div data-action="scroll->scroll#showProgress" class="mx-auto scroll-content">
            Lorem ipsum, dolor sit amet consectetur adipisicing elit. Impedit quas in aliquid quibusdam nesciunt fuga cumque
            ad ipsam eligendi dolorem, quos totam qui! Voluptate facilis mollitia iste, illum fugit quod. Lorem ipsum dolor
            sit amet consectetur adipisicing elit. Enim hic itaque excepturi quas adipisci velit voluptatum, blanditiis
            neque perspiciatis suscipit porro cupiditate, eaque cum sequi distinctio, at culpa vitae aperiam?Lorem ipsum,
            dolor sit amet consectetur adipisicing elit. Error nobis, ut suscipit fugit voluptate aspernatur laborum cumque
            expedita aliquid veritatis sunt voluptates ducimus repudiandae omnis rem? Nam sequi excepturi exercitationem!
            Lorem ipsum dolor sit amet consectetur adipisicing elit. Modi, ad repellat ipsam perspiciatis odio, quia itaque
            minima numquam, fugiat rem molestiae. Fugit nam maxime, ea eos soluta corporis molestias voluptates? Lorem ipsum
            dolor sit amet consectetur adipisicing elit. Facilis voluptatum reiciendis accusantium quas ea nostrum atque a
            repellat similique ducimus architecto, beatae at dolorem. Consequuntur optio cupiditate recusandae maiores
            atque. Lorem ipsum dolor sit, amet consectetur adipisicing elit. Assumenda corporis accusantium dolorum sed
            iusto voluptatibus obcaecati, laudantium soluta est eum velit architecto quos optio? Repellat mollitia
            laudantium atque non delectus! Lorem, ipsum dolor sit amet consectetur adipisicing elit. Officia eum nobis sit
            autem, labore aperiam amet dolorem voluptas, maxime sed dolor molestiae. Repellat ipsum a rerum maiores
            repudiandae facere! Officia. Lorem ipsum dolor sit amet, consectetur adipisicing elit. Exercitationem, ab animi
            quo eveniet, dolorum fugiat, minus voluptatibus magni commodi officia vel numquam suscipit perferendis
            explicabo? Mollitia eveniet maxime corrupti dolor? Lorem ipsum dolor sit amet consectetur adipisicing elit. Esse
            deserunt totam debitis rerum, libero excepturi accusantium repudiandae consequuntur temporibus quam, voluptas
            nam aperiam ex reprehenderit nulla nostrum doloribus eius ad. Lorem ipsum dolor sit amet, consectetur
            adipisicing elit. Fugiat provident laboriosam itaque veritatis magnam voluptatem vitae. Ullam error laudantium,
            a sunt ducimus quisquam optio aperiam, tempore neque animi aliquam expedita! Lorem ipsum dolor sit, amet
            consectetur adipisicing elit. Ratione eius, iusto impedit eum necessitatibus molestias nisi aut ullam, quis odio
            blanditiis fugiat non recusandae atque deleniti laudantium deserunt quos ducimus! Lorem ipsum dolor sit amet
            consectetur adipisicing elit. Assumenda labore nihil, nobis officiis ullam, incidunt sed repellendus voluptates
            quidem porro deserunt enim eveniet. Ullam possimus labore unde quod repudiandae assumenda. Lorem ipsum dolor sit
            amet, consectetur adipisicing elit. Excepturi ullam totam omnis doloremque facilis, doloribus quaerat! Earum
            distinctio, dolore nesciunt aperiam quo soluta placeat maxime cumque modi, iste beatae omnis! Lorem ipsum dolor
            sit amet consectetur adipisicing elit. Officia, temporibus. Voluptatum natus quam consequuntur provident quae
            soluta minus rerum beatae enim quis non, accusamus unde, magnam harum praesentium facilis omnis? Lorem ipsum
            dolor sit amet consectetur adipisicing elit. Magni natus ipsa aperiam tempora, facilis exercitationem deleniti
            suscipit optio molestias rerum necessitatibus unde impedit blanditiis, libero ipsam accusantium sed voluptate
            ea! Lorem ipsum dolor sit amet consectetur, adipisicing elit. Quasi tempore nihil ea consequatur repudiandae non
            corrupti eaque sint, dolore quisquam inventore quod dolores distinctio perferendis quia sapiente architecto
            sequi ad? Lorem ipsum dolor sit amet consectetur adipisicing elit. Molestias, pariatur repellat ut asperiores
            vitae sint aspernatur fugit odit quis nostrum. Quam eligendi ea officiis, deleniti veniam aspernatur. Facilis,
            obcaecati vitae!
          </div>
        </div>
      </div>
    </div>
    <div class="border p-3">
      <h3>Feature 15 - Slideshow</h3>
      <div data-controller="slideshow" data-slideshow-index-value="1" class="position-relative">
        <div data-slideshow-target="container" class="slideshow-container">
          <div class="slides-container" style="width:400%;">
            <!-- Full-width images with number and caption text -->
            <div data-slideshow-target="slide" class="slide">
              <div class="index">1 / 4</div>
              <img src="./images/img1.jpg" style="width:100%;filter: brightness(1.3);">
              <div class="caption small">Caption 1</div>
            </div>

            <div data-slideshow-target="slide" class="slide">
              <div class="index">2 / 4</div>
              <img src="./images/img2.jpg" style="width:100%;filter: brightness(1.3);">
              <div class="caption small">Caption 2</div>
            </div>

            <div data-slideshow-target="slide" class="slide">
              <div class="index">3 / 4</div>
              <img src="./images/img3.jpg" style="width:100%;filter: brightness(1.3);">
              <div class="caption small">Caption 3</div>
            </div>

            <div data-slideshow-target="slide" class="slide">
              <div class="index">4 / 4</div>
              <img src="./images/img4.jpg" style="width:100%;filter: brightness(1.3);">
              <div class="caption small">Caption 4</div>
            </div>
          </div>



        </div>
        <!-- Next and previous buttons -->
        <a data-action="slideshow#prev" class="prev">&#10094;</a>
        <a data-action="slideshow#next" class="next">&#10095;</a>


        <div class="text-center">
          <span data-slideshow-target="dot" data-action="click->slideshow#setIndex" data-id="1" class="dot" ></span>
          <span data-slideshow-target="dot" data-action="click->slideshow#setIndex" data-id="2" class="dot" ></span>
          <span data-slideshow-target="dot" data-action="click->slideshow#setIndex" data-id="3" class="dot" ></span>
          <span data-slideshow-target="dot" data-action="click->slideshow#setIndex" data-id="4" class="dot" ></span>
        </div>
      </div>
    </div>
  </div>


</body>
</html>
